package rocks.zipcode.io.quiz3.arrays;

/**
 * @author leon on 09/12/2018.
 */
public class TicTacToe {

    //fields
    private String[][] board;

    //Constructor
    public TicTacToe(String[][] board) {
        this.board =board;

    }

    public String[] getRow(Integer value) {

        return board[value];
    }

    public String[] getColumn(Integer value) {

        String[] newColumn = new String[board.length];
       for (int i=0; i<board.length; i++)
          newColumn[i] = board[i][value];

        return newColumn;
    }

    public Boolean isRowHomogenous(Integer rowIndex) {

        String[] differentArray = board[rowIndex];
        String counter = differentArray[0];
        for( int i =0; i<differentArray.length; i++)
            if(!differentArray[i].equals(counter)){
                return false;
            }

        return true;
    }

    public Boolean isColumnHomogeneous(Integer columnIndex) {

        String[] newArray = getColumn(columnIndex);
        for (String s: newArray) {
             if (!s.equals(newArray[0])){
                 return false;
               }
          }
       return true;
    }

    public String getWinner() {

        for (int i = 0; i < board.length; i++) {
           if(isRowHomogenous(i)){
               return board[i][i];
               }else if(isColumnHomogeneous(i)){
               return board[i][i];
             }
        }
      return "O";
    }
}
